package com.persagy.dmp.message.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.message.model.vo.SenderRegister;

import java.util.List;

/**
 * 消息渠道 接口
 * @author Charlie Yu
 * @date 2021-05-26
 */
public interface ISenderRegisterService {

    /**
     * 查询所有消息渠道
     * @return
     */
    List<SenderRegister> queryAll();

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<SenderRegister> queryWrapper);

    /**
     * 新增消息渠道
     * @param voList
     * @return
     */
    List<SenderRegister>  insertMessageRegister(List<SenderRegister> voList);

    /**
     * 修改消息渠道
     * @param voList
     * @return
     */
    List<SenderRegister> updateMessageRegister(List<SenderRegister> voList);

    /**
     * 删除消息渠道
     * @param ids
     */
    void deleteMessageRegister(List<String> ids);

    /**
     * 通过主键查询
     * @param id
     * @return
     */
    SenderRegister load(String id);
}
